import { createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import * as ay from "@alloy-js/core";
import * as ts from "@alloy-js/typescript";
import { httpRuntimeTemplateLib } from "../external-packages/ts-http-runtime.js";
export function getOperationOptionsInterfaceRefkey() {
  return ay.refkey("OperationOptions", "interface");
}
export function OperationOptionsInterfaceDeclaration() {
  const declarationRefkey = getOperationOptionsInterfaceRefkey();
  const onResponseCallback = ay.code`(rawResponse: ${httpRuntimeTemplateLib.PathUncheckedResponse}) => void`;
  const operationOptions = _$createComponent(ts.InterfaceExpression, {
    get children() {
      return _$createComponent(ts.InterfaceMember, {
        name: "onResponse",
        optional: true,
        type: onResponseCallback
      });
    }
  });
  return _$createComponent(ts.InterfaceDeclaration, {
    "export": true,
    name: "OperationOptions",
    refkey: declarationRefkey,
    get children() {
      return _$createComponent(ts.InterfaceMember, {
        name: "operationOptions",
        optional: true,
        type: operationOptions
      });
    }
  });
}
export function Interfaces() {
  return _$createComponent(ts.SourceFile, {
    path: "interfaces.ts",
    get children() {
      return _$createComponent(OperationOptionsInterfaceDeclaration, {});
    }
  });
}