import { memo as _$memo, createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import * as ay from "@alloy-js/core";
import * as ts from "@alloy-js/typescript";
import { HttpPartTransform } from "./part-transform.js";
export function ArrayPartTransform(props) {
  const namePolicy = ts.useTSNamePolicy();
  const applicationName = namePolicy.getName(props.part.name, "variable");
  const partElementName = applicationName;
  const mapCallbackSignature = ["(", partElementName, ": any)"];
  const partItemRef = getPartRef(props.itemRef, applicationName);
  const inputExpression = props.part.optional ? ["...(", partItemRef, " ?? [])"] : ["...", partItemRef];
  const partElement = {
    ...props.part,
    multi: false,
    name: partElementName
  };
  return [inputExpression, ".map(", mapCallbackSignature, " ", _$memo(() => ay.code`=> (${_$createComponent(HttpPartTransform, {
    itemRef: null,
    part: partElement
  })})`), " )"];
}
function getPartRef(itemRef, partName) {
  if (itemRef === null) {
    return partName;
  }
  return ay.code`${itemRef}.${partName}`;
}