import { memo as _$memo, createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import * as ts from "@alloy-js/typescript";
import { useTransformNamePolicy } from "@typespec/emitter-framework";
import { uriTemplateLib } from "../external-packages/uri-template.js";
export function UrlTemplate(props) {
  const namer = useTransformNamePolicy();
  const params = props.parameters.map(p => {
    return _$createComponent(ts.ObjectExpression, {
      get children() {
        return ["\"", _$memo(() => namer.getTransportName(p)), "\": ", _$memo(() => namer.getApplicationName(p))];
      }
    });
  });
  return _$createComponent(ts.VarDeclaration, {
    name: "url",
    type: "string",
    get children() {
      return [_$memo(() => uriTemplateLib.parse), "(", _$memo(() => JSON.stringify(props.template)), ").expand(", params, ")"];
    }
  });
}